﻿<%@ Page Language="C#" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Client-side validation</title>
    <script runat="server">
        void Button1_Click(Object sender, EventArgs e) {
            if (Page.IsValid) {
                Label2.Text = "Valid number!";
            } else {
                Label2.Text = "Invalid number!";
            }
        }
    </script>
    <script type="text/JavaScript">
        function validateNumber(oSrc, args) {
            args.IsValid = (args.Value % 5 == 0);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:Label ID="Label1" runat="server" Text="Number:"></asp:Label>
            <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
            <asp:CustomValidator id="CustomValidator1"
                runat="server" ControlToValidate="TextBox1"
                ErrorMessage="Number must be divisible by 5"
                ClientValidationFunction="validateNumber">
            </asp:CustomValidator>
            <br />
            <asp:Label ID="Label2" runat="server"></asp:Label>
            <br />
            <asp:Button ID="Button1" runat="server" Text="Submit"
                onclick="Button1_Click"/>
        </div>
    </form>
</body>
</html>
