﻿<%@ Page Language="C#" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Validation summary</title>
    <script runat="server">
        void Button1_Click(Object sender, EventArgs e) {
            if (Page.IsValid) {
                Label3.Text = "Valid entry!";
            } else {
                Label3.Text = "Invalid entry!";
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:Label ID="Label1" runat="server" Text="First name:"></asp:Label>
            <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
            <asp:RequiredFieldValidator id="RequiredFieldValidator1"
                runat="server"
                ErrorMessage="You must enter your first name"
                ControlToValidate="TextBox1">
            </asp:RequiredFieldValidator>
            <br />
            <asp:Label ID="Label2" runat="server" Text="Last name:"></asp:Label>
            <asp:TextBox ID="TextBox2" runat="server"></asp:TextBox>
            <asp:RequiredFieldValidator id="RequiredFieldValidator2"
                runat="server"
                ErrorMessage="You must enter your last name"
                ControlToValidate="TextBox2">
            </asp:RequiredFieldValidator>
            <br />
            <br />
            <asp:Button ID="Button1" runat="server" Text="Submit"
                onclick="Button1_Click"/>
            <br />
            <asp:Label ID="Label3" runat="server"></asp:Label>
            <asp:ValidationSummary id="ValidationSummary1"
                runat="server"
                HeaderText="You received the following errors:">
            </asp:ValidationSummary>
        </div>
    </form>
</body>
</html>
