﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class MoneyField : System.Web.UI.UserControl {
    public string Text {
        get { return amount.Text; }
        set { amount.Text = value; }
    }
    private double OldRate {
        get {
            return
                ViewState["rate"] == null ? 1 : (double)ViewState["rate"];
        }
        set { 
            ViewState["rate"] = value;
        }
    }
    public void Select(object sender, EventArgs arg) {
        try {
            double val = Convert.ToDouble(amount.Text);
            double newRate = Convert.ToDouble(currency.SelectedItem.Value);
            double newVal = val / OldRate * newRate;
            amount.Text = newVal.ToString("F2");
            OldRate = newRate;
        } catch (Exception) { 
            amount.Text = "0"; 
        }
    }
}
