using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
public partial class ViewState : System.Web.UI.Page {
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            // Approach 1. Creating a non persistent cookies
            // Response.Cookies["nameWithNPCookies"].Value = "This is A Non Persistent Cookie";

            // Approach 2. Creating a non persistent cookies
            HttpCookie aCookieValNonPer = new HttpCookie("NonPersistent");
            aCookieValNonPer.Value = "This is A Non Persistent Cookie";
            Response.Cookies.Add(aCookieValNonPer);

            // Approach 1. Creating a persistent cookies
            //Response.Cookies["nameWithPCookies"].Value = "This is A Persistent Cookie";
            //Response.Cookies["nameWithPCookies"].Expires = DateTime.Now.AddSeconds(10);

            // Approach 2. Creating a persistent cookies
            HttpCookie aCookieValPer = new HttpCookie("Persistent");
            aCookieValPer.Value = "This is A Persistent Cookie";
            Response.Cookies["nameWithPCookies"].Expires = DateTime.Now.AddSeconds(5); //Check
            aCookieValPer.Expires = DateTime.Now.AddSeconds(10);
            Response.Cookies.Add(aCookieValPer);
        }
    }
    protected void Button1_Click(object sender, EventArgs e) {
        Label2.Text = ""; Label1.Text = "";
        //if (Request.Cookies["nameWithNPCookies"] != null)
        //    Label2.Text = Server.HtmlEncode(Request.Cookies["nameWithNPCookies"].Value);
        //if (Request.Cookies["nameWithPCookies"] != null)
        //    Label1.Text = Server.HtmlEncode(Request.Cookies["nameWithPCookies"].Value);
        //if (Request.Cookies["NonPersistent"] != null)
        //{
        //    //HttpCookie aCookie = Request.Cookies["NonPersistent"];
        //    //Label1.Text = Server.HtmlEncode(aCookie.Value);
        //    Label2.Text = Request.Cookies["NonPersistent"].Value;
        //}

        if (Request.Cookies["NonPersistent"] != null) {
            Label2.Text = Request.Cookies["NonPersistent"].Value;
        }

        if (Request.Cookies["Persistent"] != null) {
            Label1.Text = Request.Cookies["Persistent"].Value;
        }

        //if (Request.Cookies["aCookieValNonPer"]!= null)
        //    Label2.Text = Request.Cookies.Get(aCookieValNonPer).ToString();
        //    //Label2.Text = Server.HtmlEncode(Request.Cookies["aCookieValNonPer"].Value);
        //if (Request.Cookies["aCookieValPer"] != null)
        //    Label2.Text = Request.Cookies.Get(aCookieValPer).ToString();
        //    //Label1.Text = Server.HtmlEncode(Request.Cookies["aCookieValPer"].Value);
    }
}
