﻿<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>RegEx for password</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:Label ID="Label1" runat="server" Text="Please enter a new User ID and Password"></asp:Label>
            <br />
            <br />
            <asp:Label ID="Label2" runat="server" Text="User ID:"></asp:Label>
            <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1"
                runat="server"
                ControlToValidate="txtName"
                ErrorMessage="ID must be 6-10 letters."
                ValidationExpression="[a-zA-Z]{6,10}" />
            <br />
            <asp:Label ID="Label3" runat="server" Text="Password:"></asp:Label>
            <asp:TextBox type="password" ID="txtPassword" runat="server"></asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator2"
                runat="server"
                display="Dynamic"
                ControlToValidate="txtPassword"
                ErrorMessage="Password must contain one of @#$%^&*/."
                ValidationExpression=".*[@#$%^&*/].*" />
            <asp:RegularExpressionValidator ID="RegularExpressionValidator3"
                runat="server"
                display="Dynamic"
                ControlToValidate="txtPassword"
                ErrorMessage="Password must be 4-12 nonblank characters."
                ValidationExpression="[^\s]{4,12}" />
        <br />
            <asp:Label ID="Label4" runat="server" Text="Re-enter Password:"></asp:Label>
            <asp:TextBox type="password" ID="txtRePassword" runat="server"></asp:TextBox>
            <br />
            <br />
            <asp:Button type="submit" ID="cmdSubmit" runat="server" Text="Submit" />
        </div>
    </form>
</body>
</html>
