﻿<%@ Page Language="C#" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Server-side validation</title>
    <script runat="server">
        void Button1_Click(Object sender, EventArgs e) {
            if (Page.IsValid) {
                Label2.Text = "Valid entry!";
            } else {
                Label2.Text = "Invalid entry!";
            }
        }
        void ValidateNumber(object source, ServerValidateEventArgs args) {
            try {
                int num = int.Parse(args.Value);
                args.IsValid = ((num % 5) == 0);
            } catch(Exception ex) {
                args.IsValid = false;
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:Label ID="Label1" runat="server" Text="Number:"></asp:Label>
            <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
            <asp:CustomValidator id="CustomValidator1"
                runat="server" ControlToValidate="TextBox1"
                ErrorMessage="Number must be divide 5"
                OnServerValidate="ValidateNumber">
            </asp:CustomValidator>
            <br />
            <asp:Label ID="Label2" runat="server"></asp:Label>
            <br/>
            <asp:Button ID="Button1" runat="server" Text="Submit"
                onclick="Button1_Click"/>
        </div>
    </form>
</body>
</html>
